Page MenuHomePhabricator

Keyboard shortcuts to submit edit summary in Visual Editor
Closed, InvalidPublic

Description

I've been playing with VE recently, and several times have found myself writing an edit summary, hitting enter, and then dumbly pressing it again three or four times while wondering why it's not working. After a moment I realise this isn't going to do anything, switch to the mouse, and click save. And then three edits later I forget again, clickclickclick*swear*...

Looking through related entries (eg T54133, T99944, T106259) it seems this is a deliberate feature - the edit summary box is presented as a multiline box to encourage more discursive edit summaries, which seems laudable, so enter is reserved for creating a newline. But we don't have that functionality yet. As a result, enter doesn't do *anything* at all, and we don't have any way to submit a summary while typing. This is fine for occasional edits, but can get frustrating for sequences of several quick smaller edits. (My use case at the moment is repeatedly removing tags from articles)

The question of setting up a "submit edit summary" key shortcut was discussed at some length in T54133; that was closed declined, but primarily dealt with the textarea versus text-input question, so I think it's worth splitting this off and considering it again. T98105 suggests we could adopt a general meta/ctrl+enter combination for "submit this" throughout various dialogues, which would work well here, but other combinations would also work. As long as there's something!

Event Timeline

agray created this task.Sep 16 2015, 8:39 PM
agray raised the priority of this task from to Needs Triage.
agray updated the task description. (Show Details)
agray added a project: VisualEditor.
agray added a subscriber: agray.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 16 2015, 8:39 PM

You can press Alt+S.

agray added a comment.Sep 19 2015, 2:14 PM

This appears to be browser-dependent. In Chrome (45), alt-S successfully saves. However, in Firefox (40), alt-S opens the history menu. (Both checked under xubuntu 14.04)

On FF access keys are alt+shift+[letter]. This is reflected in the keyboard shortcuts dialog (CTRL+? / CTRL+/).

Jdforrester-WMF closed this task as Invalid.Sep 24 2015, 5:52 PM
Jdforrester-WMF claimed this task.